Loading...
Searching...
No Matches
Opm::MoleFractionCallback< TypeTag > Class Template Reference

Callback class for a mole fraction of a component in a phase. More...

`#include <quantitycallbacks.hh>`

## Public Types

using | ResultType = std::remove_const_t<std::remove_reference_t<ResultRawType>>
using | ResultValueType = typename MathToolbox<ResultType>::ValueType

## Public Member Functions

| MoleFractionCallback (const ElementContext &elemCtx)
| MoleFractionCallback (const ElementContext &elemCtx, unsigned phaseIdx, unsigned compIdx)
void | setPhaseIndex (unsigned phaseIdx)
| Set the index of the fluid phase for which a mole fraction should be returned.
void | setComponentIndex (unsigned compIdx)
| Set the index of the component for which the mole fraction should be returned.
ResultType | operator() (unsigned dofIdx) const
| Return the mole fraction of a component in a phase given the index of a degree of freedom within an element context.

## Detailed Description

template<class TypeTag>
class Opm::MoleFractionCallback< TypeTag >

Callback class for a mole fraction of a component in a phase.

The documentation for this class was generated from the following file:

- opm/models/common/quantitycallbacks.hh